Subject: Re: bug#10243: 8.14: ls --color is uninterruptible with ctrl+c (and no network fs in use)

From: Pádraig Brady <[email-masked]>
Date: Wed, 07 Dec 2011 22:53:43 +0000

>From a cursory glance the change looks sensible.

Note a separate issue is there is a small chance that the ^C
representation output to the terminal, will mess things up:
  http://debbugs.gnu.org/9620#14
I.E. even when signals are blocked the ^C etc. is output,
which can mess up ANSI codes and multibyte characters
(I have seen such corruption).

I'm just noting it here, as it's probably overkill/problematic
to disable echoing to the terminal, and explicitly
output ^C when we process_signals() like readline does.

cheers,
Pádraig.